.\" $Xorg: synaptics.man,v 1.0 2003/11/14 18:20:58 vojta Exp $
.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.TH SYNAPTICS __drivermansuffix__ __vendorversion__
.SH NAME
synaptics \- Synaptics touchpad driver
.SH SYNOPSIS
.B "Section \*qInputDevice\*q"
.br
.BI "  Identifier \*q" idevname \*q
.br
.B  "  Driver \*qsynaptics\*q"
.br
.BI "  Option \*qDevice\*q   \*q" devpath \*q
.br
\ \ ...
.br
.B EndSection
.SH DESCRIPTION
.B synaptics 
is an __xservername__ input driver for Synaptics touchpads.
.PP
The
.B synaptics
driver functions as a pointer input device, and may be used as the
X server's core pointer.
.SH SUPPORTED HARDWARE
The
.B synaptics
driver supports Synaptics PS/2 touchpads, based primarily on the Version 4.5
touchpad.  With this touchpad, there are two mouse buttons, mapped to buttons
1 and 3, and also (optionally) a pair of rocker buttons used to emulate a
wheel mouse.  The touchpad is run in absolute mode, allowing all of these
features to be supported (if enabled by the relevant configuration options).
.SH CONFIGURATION DETAILS
Please refer to __xconfigfile__(__filemansuffix__) for general configuration
details and for options that can be used with all input drivers.  This
section only covers configuration details specific to the
.B synaptics
driver.
.PP
The following driver
.B Options
are supported:
.TP 7
.BI "Option \*qDevice\*q \*q" string \*q
Specifies the device through which the mouse can be accessed.  A common
setting is "/dev/mouse", which is often a symbolic link to the real
device.  This option is mandatory, and there is no default setting.
.TP 7
.BI "Option \*qEmulate3Buttons\*q \*q" boolean \*q
Enable/disable the emulation of the third (middle) mouse button by pressing
both mouse buttons simultaneously.  In addition, the left or right mouse button
can be shown as pressed while the middle mouse button is down, by releasing
and pressing that mouse button while keeping the other button pressed.
(This feature is the same as that provided by the standard
.B mouse
driver.)  Default: off.
.TP 7
.BI "Option \*qEmulate3Timeout\*q \*q" integer \*q
Sets the timeout (in milliseconds) that the driver waits before deciding
if two buttons were pressed "simultaneously" when three-button emulation is
enabled.  Because the Synaptics touchpad reports events at a uniform rate
of 40 packets per second, the value is rounded to the nearest 25 ms.
Default: 50.
.TP 7
.BI "Option \*qTapToClick\*q \*q" boolean \*q
Causes a tap on the touchpad to indicate a click on mouse button 1.
Default: off.
.TP 7
.BI "Option \*qTapAndDrag\*q \*q" boolean \*q
Causes a tap on the touchpad, followed soon by a drag, to indicate mouse motion
with button 1 pressed.
Selecting this option also automatically selects
.BR TapToClick .
Default: off.
.SH SEE ALSO
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), xorgconfig(__appmansuffix__), Xserver(__appmansuffix__), X(__miscmansuffix__).
.SH AUTHORS
This driver was originally written by Paul Vojta.  Other contributors include:
